### Hierarchy

- OwnProps

## Index

### Properties

- actionType
- alternate
- getIconRef
- iconPath
- isExtension
- onAdd
- service
- subTitle

## Properties

### Optional actionType

actionType: ServiceActionType

- Defined in components/Service/index.tsx:26

### Optional alternate

alternate: undefined | false | true

- Defined in components/Service/index.tsx:27

### Optional getIconRef

getIconRef: undefined | false | true

- Defined in components/Service/index.tsx:29

### iconPath

iconPath: string

- Defined in components/Service/index.tsx:28

### Optional isExtension

isExtension: undefined | false | true

- Defined in components/Service/index.tsx:24

### onAdd

onAdd: function

- Defined in components/Service/index.tsx:23

#### Type declaration

- - (serviceId: string, iconPath: string, iconRef?: any): any

  - #### Parameters

    - ##### serviceId: string

    - ##### iconPath: string

    - ##### Optional iconRef: any

    #### Returns any

### service

service: IService

- Defined in components/Service/index.tsx:22

### Optional subTitle

subTitle: undefined | string

- Defined in components/Service/index.tsx:25

Generated using TypeDoc